import { LimitOrder } from "./order";
import { utils, providers, BigNumber } from 'ethers';
export declare class FillLimitOrder {
    readonly order: LimitOrder;
    readonly path: string[];
    readonly minimumAmoutOutExternal: BigNumber;
    readonly amountToFill: BigNumber;
    readonly limitOrderReceiver: string;
    readonly to: string;
    readonly tokenIn: string;
    readonly tokenOut: string;
    readonly limitOrderReceiverData: string;
    constructor(order: LimitOrder, path: string[], minimumAmoutOutExternal: BigNumber, amountToFill: BigNumber, limitOrderReceiver: string, to: string);
    fillOrderOpen(privateKey: utils.SigningKey, provider: providers.Web3Provider): Promise<{
        error: boolean;
        transactionHash: string;
    }>;
}
